Register and return default file extensions for spl_autoload

- « spl_autoload_call

- spl_autoload_functions »

- PHP Manual
- SPL Functions
- Register and return default file extensions for spl_autoload

# spl_autoload_extensions

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

spl_autoload_extensions — Register and return default file extensions for spl_autoload

### Description

spl_autoload_extensions(?string `$file_extensions` = `null`): string

This function can modify and check the file extensions that the built in __autoload() fallback function spl_autoload() will be using.

> Note: There should not be a space between the defined file extensions.

### Parameters

`file_extensions`

  If `null`, it simply returns the current list of extensions each separated by comma. To modify the list of file extensions, simply invoke the functions with the new list of file extensions to use in a single string with each extensions separated by comma.

### Return Values

A comma delimited list of default file extensions for spl_autoload().

### Changelog

Version | Description
--- | ---
8.0.0 | `file_extensions` is now nullable.

### Examples

Example #1 spl_autoload_extensions() example

    <?phpspl_autoload_extensions(".php,.inc");?>